"use client"

import {notNil} from "../../utils/notNil";
import {StarIcon} from "lucide-react";
import {FC} from "react";
import {useJobs} from "../context/useJobs";

export const Skills: FC = () => {
	const {jobs, filterJobs, filter} = useJobs()
	const skills = new Set(jobs.filter(notNil).flatMap(({tags}) => tags).sort());

	return (
		<>
			<section>
				<div className="flex items-center my-2">
					<p className="mr-2 w-24 ms-1 text-sm font-medium text-gray-500 dark:text-gray-400">Czech, native</p>
					<StarIcon fill="#fde047" className="w-4 h-4 ms-1 text-yellow-300"/>
					<StarIcon fill="#fde047" className="w-4 h-4 ms-1 text-yellow-300"/>
					<StarIcon fill="#fde047" className="w-4 h-4 ms-1 text-yellow-300"/>
					<StarIcon fill="#fde047" className="w-4 h-4 ms-1 text-yellow-300"/>
					<StarIcon fill="#fde047" className="w-4 h-4 ms-1 text-yellow-300"/>
					<StarIcon fill="#fde047" className="w-4 h-4 ms-1 text-yellow-300"/>
				</div>
				<div className="flex items-center my-2">
					<p className="mr-2 w-24 ms-1 text-sm font-medium text-gray-500 dark:text-gray-400">English, B2</p>
					<StarIcon fill="#fde047" className="w-4 h-4 ms-1 text-yellow-300"/>
					<StarIcon fill="#fde047" className="w-4 h-4 ms-1 text-yellow-300"/>
					<StarIcon fill="#fde047" className="w-4 h-4 ms-1 text-yellow-300"/>
					<StarIcon fill="#fde047" className="w-4 h-4 ms-1 text-yellow-300"/>
					<StarIcon className="w-4 h-4 ms-1 text-gray-300 dark:text-gray-500"/>
					<StarIcon className="w-4 h-4 ms-1 text-gray-300 dark:text-gray-500"/>
				</div>
			</section>
			<section>
				<div className="flex flex-wrap gap-2">
					{Array.from(skills)?.map((name) => (
						<span
							key={name}
							onClick={() => filterJobs(name)}
							className={[
								"cursor-pointer text-xs font-medium me-2 px-2.5 py-0.5 rounded-full select-none",
								filter === name
									? "bg-red-100 text-red-800 dark:bg-red-900 dark:text-red-300"
									: "bg-indigo-100 text-indigo-800 dark:bg-indigo-900 dark:text-indigo-300"
							].join(" ")}>
						{name}
					</span>
					))}
				</div>
				<p className="mt-5 text-xs text-gray-400">Psss, you can click on pill to filter.</p>
			</section>
		</>
	)
}