"use client"

import {useContext} from "react";
import {JobsContext} from "./JobsContext";

export const useJobs = () => {
	const context = useContext(JobsContext)
	if (!context) {
		throw new Error('useJobs must be used within a JobsProvider!');
	}

	const handleFilterJob = (name: string) => {
		if (name === context.filter) {
			context.setFilter(undefined)
		} else {
			context.setFilter(name)
		}
	}

	return {
		jobs: context.data,
		filter: context?.filter,
		filterJobs: handleFilterJob,
	}
}